
#include "xml.h"

String xml::RootElementName(void)
{
   String       root_name;
   xmlNodePtr   root;

   root = xmlDocGetRootElement(document);
   root_name = String((const char *)root->name);

   return root_name;
}

xml_node xml::RootNode(void)
{
   xmlNodePtr   root;

   root = xmlDocGetRootElement(document);

   return xml_node(root);
}

//  Find the nth child element by name (non-recursive)
xml_node xml_node::FindChildElement(String name, int nth)
{
   xml_node element;
   xmlNodePtr node = n->children;

   while (element.n == NULL && node != NULL)
   {
      if (node->type == XML_ELEMENT_NODE && name == (const char *)node->name)
      {
         if (nth == 0)
         {
            element.n = node;
         }
         nth--;
      }
      node = node->next;
   }

   return element;
}
