/*******************************************************
 *  Unit test for the configuration class
 *
 * test reading the configuration file
 ******************************************************
 *
 */

#include "configuration.h"
#include <assert.h>

int main()
{
   configuration  config1;
   bool           result;

   result = config1.read("ACL_not_exist");
   assert(result == false);

   result = config1.read("ACL");
   assert(result == true);

   result = config1.read("ACL_wrong");
   assert(result == false);

   return 0;
}

