/*******************************************************
 *  Unit test for the UTC class
 *
 * test UTC relational operators
 ******************************************************
 *
 */

#include "date.h"
#include <assert.h>

int main()
{
   UTC   u0("9-6-2019 11:22:00");
   UTC   u1("9-6-2019 11:22:00");
   UTC   u2("9-6-2019 11:22:01");
   UTC   u3("7-8-2019 11:22:00");

   //  equal dates

   std::cout << u0 << " == " << u1 << " = " << (u0 == u1) << "\n";
   assert((u0 == u1) == true);

   std::cout << u0 << " != " << u1 << " = " << (u0 != u1) << "\n";
   assert((u0 != u1) == false);

   std::cout << u0 << " < " << u1 << " = " << (u0 < u1) << "\n";
   assert((u0 < u1) == false);

   std::cout << u0 << " <= " << u1 << " = " << (u0 <= u1) << "\n";
   assert((u0 <= u1) == true);

   std::cout << u0 << " > " << u1 << " = " << (u0 > u1) << "\n";
   assert((u0 > u1) == false);

   std::cout << u0 << " >= " << u1 << " = " << (u0 >= u1) << "\n";
   assert((u0 >= u1) == true);

   //  unequal dates

   std::cout << u0 << " == " << u2 << " = " << (u0 == u2) << "\n";
   assert((u0 == u2) == false);

   std::cout << u0 << " != " << u2 << " = " << (u0 != u2) << "\n";
   assert((u0 != u2) == true);

   std::cout << u0 << " < " << u2 << " = " << (u0 < u2) << "\n";
   assert((u0 < u2) == true);

   std::cout << u0 << " <= " << u2 << " = " << (u0 <= u2) << "\n";
   assert((u0 <= u2) == true);

   std::cout << u0 << " > " << u2 << " = " << (u0 > u2) << "\n";
   assert((u0 > u2) == false);

   std::cout << u0 << " >= " << u2 << " = " << (u0 >= u2) << "\n";
   assert((u0 >= u2) == false);

   std::cout << u0 << " == " << u3 << " = " << (u0 == u3) << "\n";
   assert((u0 == u3) == false);

   std::cout << u0 << " != " << u3 << " = " << (u0 != u3) << "\n";
   assert((u0 != u3) == true);

   std::cout << u0 << " < " << u3 << " = " << (u0 < u3) << "\n";
   assert((u0 < u3) == true);

   std::cout << u0 << " <= " << u3 << " = " << (u0 <= u3) << "\n";
   assert((u0 <= u3) == true);

   std::cout << u0 << " > " << u3 << " = " << (u0 > u3) << "\n";
   assert((u0 > u3) == false);

   std::cout << u0 << " >= " << u3 << " = " << (u0 >= u3) << "\n";
   assert((u0 >= u3) == false);

   return 0;
}

